Create a new accounting configs entry
This endpoint is mostly legacy, and for internal use. We recommend to use the other endpoints to manage accounting information
Creates a new accounting config entry for the supplied store
For configType ACCOUNTNUMBER is the following keys valid:
CUSTOMER
Account for customer
CUSTOMERDUMMY
Dummy customer account
ERROR
Error account, if no valid account is found
PARTYLYPAIDINVOICE
Account for partyly paid invoices
VATCODE
Account for a specific tax type
CASHFLOAT_DEPOSIT
Deposit cash float into the cash register
CASHFLOAT_WITHDRAWAL
Withdraw cash float from the cash register
CASHFLOAT_TO_BANK
Withdraw cash float and transfer it to the bank
CASHFLOAT_EXPENSE_WITHDRAWAL
Withdraw cash float for expenses throughout the day.
CASHFLOAT_DIFF
Account for cash register till count discrepancies
For configType TREATCODE is the following keys valid:
CREDITLEDGER
Used to credit notes
GENERALLEDGER
Used for general ledger
LEDGE
Used for invoices and other ledger
PAYMENT
Used for payment of invoices
For configType VAT_TYPE_ID is the following keys valid:
BALANCE
VATCODE
Should have a vatCodeUid filled together with the TypeID for the specific VAT code
"
Required permissions: ACCOUNTING_CONFIG
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Accounting configs model
vatCodeUid should always be filled when key is of type VATCODE
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+Accounting configs model
POST /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 111
{
"accountingConfigUid": "text",
"configType": "ACCOUNTNUMBER",
"key": "CUSTOMER",
"value": "text",
"vatCodeUid": "text"
}{
"accountingConfigsUid": "text",
"configType": "ACCOUNTNUMBER",
"key": "CUSTOMER",
"vatCodeUid": "text",
"value": "text"
}Last updated
Was this helpful?

